Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2
Class BambooFilterDispatcher

    java.lang.Object
      FilterDispatcher
          com.atlassian.bamboo.ww2.BambooFilterDispatcher

    public class BambooFilterDispatcher

extends FilterDispatcher

Filter for starting up Bamboo

Constructor Summary
`BambooFilterDispatcher()`

Method Summary
`protected Object` | `beforeActionInvocation(HttpServletRequest request, ServletContext servletContext)`
`static Bamboo` | `createBambooContainer()`
`void` | `destroy()` Stop and clean up
`void` | `init(FilterConfig filterConfig)`
`static boolean` | `initialise(ServletContext servletContext)`
`static void` | `placeBambooContainerInServletContext(ServletContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BambooFilterDispatcher

    public BambooFilterDispatcher()

Method Detail

### init

    public void init(FilterConfig filterConfig)
              throws ServletException

  Throws:
    `ServletException`

### beforeActionInvocation

    protected Object beforeActionInvocation(HttpServletRequest request,
                                            ServletContext servletContext)

### destroy

    public void destroy()

  Stop and clean up

### initialise

    public static boolean initialise(ServletContext servletContext)

### placeBambooContainerInServletContext

    public static void placeBambooContainerInServletContext(ServletContext context)
                                                     throws ConfigurationException

  Throws:
    `ConfigurationException`

### createBambooContainer

    public static Bamboo createBambooContainer()
                                        throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.